namespace '/channel' do

  get '' do
    redirect '/channel/list'
  end
  get '/list' do
    channels = Channel.reverse(:updated_at).all()
    erb :'channel/list', :locals => {
      :title => 'List of channels',
      :channels => channels
    }
  end

  get '/create' do
    erb :'channel/create', :locals => {
      :title => 'Create new channel',
      :base_directory => $conf.get('stgm.base_directory')
    }
  end
  post '/create' do
    channel = Channel.create(
      name: params[:channel_name],
      directory_path: params[:channel_dir],
      description: params[:channel_description]
    )

    Dir.mkdir(channel.directory_path)

    redirect "/channel/#{channel.id}"
  end

  get '/:channel_id' do
    channel = Channel.where(id: params[:channel_id]).first()
    puts "#{channel.name}"
    erb :'channel/view', :locals => {
      :title => channel.name,
      :channel => channel
    }
  end

end
